package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsMenu;

/**
 * 用户端菜单管理Mapper接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface FsMenuMapper 
{
    /**
     * 查询用户端菜单管理
     * 
     * @param menuId 用户端菜单管理ID
     * @return 用户端菜单管理
     */
    public FsMenu selectFsMenuById(Long menuId);

    /**
     * 查询用户端菜单管理列表
     * 
     * @param fsMenu 用户端菜单管理
     * @return 用户端菜单管理集合
     */
    public List<FsMenu> selectFsMenuList(FsMenu fsMenu);

    /**
     * 新增用户端菜单管理
     * 
     * @param fsMenu 用户端菜单管理
     * @return 结果
     */
    public int insertFsMenu(FsMenu fsMenu);

    /**
     * 修改用户端菜单管理
     * 
     * @param fsMenu 用户端菜单管理
     * @return 结果
     */
    public int updateFsMenu(FsMenu fsMenu);

    /**
     * 删除用户端菜单管理
     * 
     * @param menuId 用户端菜单管理ID
     * @return 结果
     */
    public int deleteFsMenuById(Long menuId);

    /**
     * 批量删除用户端菜单管理
     * 
     * @param menuIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsMenuByIds(Long[] menuIds);
}
